
package jp.riken.brain.ni.samuraigraph.base;


import java.util.ArrayList;
import java.awt.geom.*;


/**
 * レジェンドのインタフェース
 */

public interface SGILegendElement extends SGIFigureElement
{

	/**
	 * 
	 */
	public boolean setGraphElement( SGIGraphElement gElement );


	/**
	 * 
	 */
	public ArrayList getDrawingElementList( SGData data );


	/**
	 * 
	 */
	public String getDataName( SGData data );


	/**
	 * 
	 */
	public boolean isDataVisible( SGData data );


	/**
	 * 
	 */
	public boolean setLegendVisible( boolean flag );



	/**
	 * 
	 */
	public boolean isLegendVisible();


	/**
	 * レジェンドの矩形を取得（倍率込み）
	 */
	public Rectangle2D getLegendRect();


	/**
	 * 
	 */
	public ArrayList getVisibleFlagList( SGData data );



	public static final String PF_LEGEND_TITLE = "[Legend]";
	public static final String PF_LEGEND_X = "Legend X";
	public static final String PF_LEGEND_Y = "Legend Y";
	public static final String PF_LEGEND_VISIBLE = "Legend Visible";
	public static final String PF_LEGEND_FRAME_VISIBLE = "Frame Visible";
	public static final String PF_LEGEND_FRAME_LINE_WIDTH = "Frame Line Width";
	public static final String PF_LEGEND_FRAME_LINE_COLOR = "Frame Line Color";
	public static final String PF_LEGEND_BACKGROUND_COLOR = "Background Color";
	public static final String PF_LEGEND_BACKGROUND_TRANSPARENT = "Background Transparent";
	public static final String PF_WIDTH_DATA_ELEMENT = "Width of Data Element";



}

